Page MenuHomePhabricator

FY17/18 Q4 Program 7 Services Goal: Language variants support
Closed, ResolvedPublic

Description

Please do not insert Chinese-Sites to this task, there's nothing that more or less related to those wikis.

The FY17/18 Q4 goal, of the Services team centres around providing support for language variants for page content in the REST API. Concretely, the goal consists of:

  • resolving the on-going disk I/O performance issues
  • incorporating the use case for language variants into the storage design
  • exposing the language variants for Parsoid HTML and related content to clients via the REST API

Related Objects

StatusAssignedTask
Resolvedovasileva
OpenNone
DuplicateNone
OpenABorbaWMF
InvalidNone
ResolvedPchelolo
Resolvedmobrovac
ResolvedEevans
ResolvedEevans
ResolvedDzahn
ResolvedEevans
ResolvedEevans
OpenNone
DeclinedNone
ResolvedEevans
Resolvedfgiunchedi
ResolvedEevans
ResolvedPchelolo
Opencscott
OpenNone
Opencscott
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
ResolvedElitre
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Opencscott
Resolvedcscott
Opencscott
Opencscott
Opencscott
Resolvedmobrovac
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedEevans
ResolvedEevans
ResolvedEevans
Resolvedmobrovac
Resolvedcscott
ResolvedPchelolo
ResolvedPchelolo

Event Timeline

mobrovac triaged this task as High priority.Mar 26 2018, 2:43 PM
mobrovac created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2018, 2:43 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Change 440079 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Config: Skip schema updates

https://gerrit.wikimedia.org/r/440079

Change 440079 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Config: Skip schema updates

https://gerrit.wikimedia.org/r/440079

Mentioned in SAL (#wikimedia-operations) [2018-07-09T09:07:27Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@794d6ee]: Enable language variants for HTML T190689

Mentioned in SAL (#wikimedia-operations) [2018-07-09T09:22:58Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@794d6ee]: Enable language variants for HTML T190689 (duration: 15m 32s)

mobrovac closed this task as Resolved.Apr 12 2019, 11:07 PM
mobrovac claimed this task.

The RESTBase part has been done long ago.